Bug 1843846 - Host - Registered Content Hosts report: "Safemode doesn't allow to access 'report_hraders' on #<Safemode::ScopeObject>"
Summary: Host - Registered Content Hosts report: "Safemode doesn't allow to access 're...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.8.0
Assignee: Marek Hulan
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-04 09:49 UTC by Lukáš Hellebrandt
Modified: 2020-10-27 13:03 UTC (History)
5 users (show)

Fixed In Version: foreman-2.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:03:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30039 0 Normal Closed Host - Registered Content Hosts report: "Safemode doesn't allow to access 'report_hraders' on #<Safemode::ScopeObject>" 2021-01-25 17:36:35 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:03:19 UTC

Description Lukáš Hellebrandt 2020-06-04 09:49:32 UTC
Description of problem:
Registered Content Hosts report template contains typo "report_hraders" which causes rendering to fail with error "Safemode doesn't allow to access 'report_hraders' on #<Safemode::ScopeObject>".

Version-Release number of selected component (if applicable):
Sat 6.8 snap 2.1

How reproducible:
Deterministic

Steps to Reproduce:
1. Generate "Host - Registered Content Hosts" report

Actual results:
Error, nothing generated

Expected results:
Successfully generated report

Comment 1 Tomer Brisker 2020-06-07 08:32:03 UTC
Created redmine issue https://projects.theforeman.org/issues/30039 from this bug

Comment 2 Bryan Kearney 2020-06-08 12:00:46 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 3 Bryan Kearney 2020-06-08 12:00:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/30039 has been resolved.

Comment 4 Lukáš Hellebrandt 2020-07-16 12:03:17 UTC
Verified with Sat 6.8  snap 8.0.

Used reproducer from OP, the report template can now be generated successfully. Also, the typo is fixed.

Comment 7 errata-xmlrpc 2020-10-27 13:03:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.